<?php
 namespace Module;
 use LayoutMenuItem;
 use TCMS\Module;
 use Route;
 use LayoutData;
 class AdminSlideDefault extends Module {
 protected function initialize() {
 }
 protected function registerRoutes() {
 Route::get('/slide', 'IndexController', 'index')->name('index');
 Route::get('/slide/create', 'IndexController', 'create')->name('create');
 Route::post('/slide/create', 'IndexController', 'postCreate')->name('create');
 Route::get('/slide/update/{id}', 'IndexController', 'update')->name('update');
 Route::post('/slide/update/{id}', 'IndexController', 'postUpdate')->name('update');
 Route::post('/slide/delete', 'IndexController', 'postDelete')->name('delete');
 Route::post('/slide/deletes', 'IndexController', 'postDeletes')->name('deletes');
 Route::post('/slide/display', 'IndexController', 'postDisplay')->name('display');
 }
 public function registerComponent() {
 \Model::add('SlideModel');
 }
 public function boot() {
 LayoutData::addMenuItem('slide', route('index'), 'Slide', 'primary', function(LayoutMenuItem $menuItem) {
 $menuItem->icon = 'fa fa-image';
 }
);
 }
 protected function registerEvent() {
 }
 public function middleware(string $routeName, $auth) {
 }
 }
